<?php

// Id used to identify this page within functions.
$PageID = "BOOK_DELETE";

require_once "common.inc";

require_once "config.inc";
require_once "constants.inc";
require_once "db.inc";
require_once "error.inc";
require_once "layout.inc";
require_once "language.inc";
require_once "MARC.inc";
require_once "search.inc";

$onLoad = "onLoad='if(document.delete) document.delete.book_id.focus();'";

layout_header(array('onload' => $onLoad));

if(isset($_REQUEST['book_id']) && $_REQUEST['book_id'] != "" && !isset($_REQUEST['action']))
{
	$plain_id = substr($_REQUEST['book_id'], 0,-1);
	$res = mysql_query("SELECT book_id FROM books WHERE (book_borrowed=1 OR book_reserved=1) AND book_id=".$plain_id);
	if(mysql_num_rows($res)) {
		layout_page_title($langText['ERROR_BOOK_BORROWED'], 'error');
		unset($_REQUEST['book_id']);
	}
}

if(isset($_REQUEST['book_id']) && $_REQUEST['book_id'] != "" && !isset($_REQUEST['action']))
{
	if(is_book($_REQUEST['book_id']))
	{
		$plain_id = substr($_REQUEST['book_id'], 0,-1);
		$result = mysql_query("SELECT book_id, book_control_number, book_location FROM books WHERE book_id=".$plain_id);
		if(mysql_num_rows($result))
		{
			$row = mysql_fetch_array($result);
			$location = mysql_fetch_array(mysql_query("SELECT location_name FROM locations WHERE location_id=".$row['book_location']));
			$headers = array($langText['BOOK_ID'], $langText['BOOK_LOCATION']);
			$content = array(format_book_id($row['book_id']), $location['location_name']);
			$color = 1;

			$criteria = "001";
			$position = "1";
			$_REQUEST['element'] ="F";
			list($YAZ_items, $hits) = search($criteria, format_control_number($row['book_control_number']), $position);

			parseMARC($YAZ_items[0]);
			$row = createMARCRow(return_with_format_syntax($MARC_display_in_list));

			layout_page_title($langText['STEP_2']);

			foreach ($MARC_display_in_list as $value)
			{
				array_push($headers, $langText[strtoupper($MARC_config[$value])]);
			}

			while(list($key, $value) = each($row))
			{
				array_push($content, $row[$key]);
			}
			
			$footer = "
				<form name='delete' action='book_delete.php' method='get'>
					<input type='hidden' name='id' value='". $_REQUEST['id'] . "'>
					<input type='hidden' name='auth' value='" . $_REQUEST['auth'] . "'>
					<input type='hidden' name='book_id' value='" . $_REQUEST['book_id'] . "'>
					<input type='submit' name='action' class='button' value='" . $langText['BUTTON_DELETE'] . "'>
				</form>
			";

			layout_table_header($headers);
			layout_table_row($content);
			layout_table_footer($footer);

		}
		else {
			layout_page_title($langText['ERROR_NO_BOOK'], 'error');
			unset($_REQUEST['book_id']);
		}
	}
	else {
		layout_page_title($langText['ERROR_NOT_BOOK_ID'], 'error');
		unset($_REQUEST['book_id']);
	}
}

if(	(!isset($_REQUEST['book_id']) && !isset($_REQUEST['action'])) ||
	(isset($_REQUEST['book_id']) && !isset($_REQUEST['action']) && !is_book($_REQUEST['book_id'])) ||
	(isset($_REQUEST['book_id']) && isset($_REQUEST['action'])))
{
	if(isset($_REQUEST['book_id']) && !is_book($_REQUEST['book_id'])) {
		layout_page_title($langText['ERROR_NOT_BOOK_ID'], 'error');
	}

	if(isset($_REQUEST['book_id']) && isset($_REQUEST['action']))
	{
		if(is_book($_REQUEST['book_id']))
		{
			$old = mysql_fetch_array(mysql_query("SELECT * FROM books WHERE book_id=".chop_last($_REQUEST['book_id'])));
			$new = mysql_query("INSERT INTO deleted_books SET
									del_book_id=".$old['book_id'].",
									del_book_control_number=".$old['book_control_number'].",
									del_book_date_added=".$old['book_date_added'].",
									del_book_date_deleted=NOW(),
									del_book_borrowed=0,
									del_book_reserved=0,
									del_book_borrow_count=".$old['book_borrow_count'].",
									del_book_location=".$old['book_location']);
			$res = mysql_query("DELETE FROM books WHERE book_id=".chop_last($_REQUEST['book_id']));
			if(mysql_affected_rows())
				layout_page_title($langText['DELETE_SUCCESS'], 'ok');
			else
				layout_page_title($langText['ERROR_DELETE'], 'error');
		}
		else
			layout_page_title($langText['ERROR_NOT_BOOK_ID'], 'error');
	}

	layout_page_title($langText['STEP_1']);
	//layout_wizard_start($langText['HEADER'].": [".$langText['STEP_1']."]", "Nothing special");

	?>

	<form name='book_delete' action='book_delete.php' method='get'>
		<input type='hidden' name='id' value='<?php echo $_REQUEST['id']?>'>
		<input type='hidden' name='auth' value='<?php echo $_REQUEST['auth']?>'>
		<?php echo $langText['ENTER_BOOK_ID']?>:&nbsp;<input type='text' name='book_id' size=20>
		&nbsp;&nbsp;<input type='submit' name='submit' class='button' value='<?php echo $langText['BUTTON_CONTINUE']?>'>
	</form>

	<?php

	//layout_wizard_stop();

}

layout_footer();

?>
